JSONPATH_NG(1)

NAME
jsonpath_ng - Search JSONPath into JSON files.

DESCRIPTION
usage: jsonpath_ng [-h] expression [file ...]

Search JSON files (or stdin) according to a JSONPath expression.

  positional arguments:

expression
    A JSONPath expression.

file
    Files to search (if none, searches stdin)

  options:

-h, --help
    show this help message and exit

    Quick JSONPath reference (see more at https://github.com/kennknowles/python-jsonpath-rw)

    atomics:

$   - root object

`this`
    - current object

    operators:

path1.path2
    - same as xpath /

path1|path2
    - union

path1..path2
    - somewhere in between

    fields:

fieldname
    - field with name

*   - any field

    [_start_?:_end_?] - array slice [*] - any array index